package top.tqx.demo_1.service;

import top.tqx.demo_1.dto.ExamRecordResponse;
import top.tqx.demo_1.dto.ExamSaveRequest;
import top.tqx.demo_1.dto.PageResponse;

import java.util.List;

public interface ExamRecordService {

    List<ExamRecordResponse> getUserPapers(Long userId, String answerType);

    ExamRecordResponse startExamByPaperId(String paperId, Long userId, String answerType);

    ExamRecordResponse getRecordById(String recordId);

    PageResponse<ExamRecordResponse> listRecords(String paperId, Integer page, Integer pageSize);

    void deleteRecordsByPaperId(String paperId);
}